[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# ClassCase

Indicates if a TClass instance is found in the specified array.

## Declaration

Source position: lclproc.pas line 233

`function ClassCase(`
`const AClass: TClass;`
`const ACase: array of TClass`
`):Integer; overload; function ClassCase(`
`const AClass: TClass;`
`const ACase: array of TClass;`
`const ADescendant: Boolean`
`):Integer; overload;`

## Arguments

`AClass` |  | TClass instance to locate in ACase.
`ACase` |  | Array of TClass instances to examine in the routine.

## Function result

Ordinal position in ACase where the TClass instance was found, or -1 when not found.

## Arguments

`AClass` |  | TClass instance to locate in ACase.
`ACase` |  | Array of TClass instances to examine in the routine.
`ADescendant` |  | True to consider descendants of AClass as a match in the routine.